Subject: Re: [MBONED] Evolution to SSM... how... (was: Re: call for adoption of draft-acg-mboned-multicast-models)

From: Tim Chown <[email-masked]>
Date: Mon, 26 Feb 2018 10:52:05 +0000

Hi,

We have one week to hot the London draft cutoff - comments in-line...

> On 21 Dec 2017, at 08:05, Mikael Abrahamsson <[email-masked]> wrote:
> 
> On Wed, 20 Dec 2017, Toerless Eckert wrote:
> 
>> 1) Do the authors consider a typical walled-garden IPTV deployment between an
>> ISP and its subscribers to be intradomain or interdomain ? I always think
> 
> Good question. For me personally, it's more about the control plane. If you need to set up inter-administrative-domain MSDP sessions, then you're definitely in the "don't do that" category. If all you have is someone "blindly" sending you multicast packets (for instance from an IPTV headend) without any control plane connection to them, then I don't think it's inter-domain anymore, at least I don't consider it as much of an operational problem.

I'd agree.

>> of it as PIM-SM intradomain because there is no interdomain PIM-SM/MSDP setup.
> 
> Exactly.

Indeed, and its that latter complexity that I think is the main thrust of what we're targeting with the deprecation of inter-domain. 

>> Heck, i would want ASM to be deprecated in this use case however inter/intra-domain we call it. So if we call this use-case intradomain, then what document do we need to deprecate ASM for this use case ? This document or another ?
> 
> My personal view is that we should strongly advocate towards not using ASM, unless ASM is the only way things can be done realistically.

I think previous discussion said 'no' to a total ASM deprecation.  And I think that remains the pragmatic option.  Sites can still use MSDP, or whatever, internally.  Instead, we focus on inter-domain deprecation and give guidance for how you might migrate to SSM within a domain, or an application domain.

>> Maybe we should try to define a standard app-layer source discovery mechnism
>> as well. For apps where "clients" can send. Not for the simple "natural"
>> SSM apps (like IPTV).
> 
> Sounds good to me.

That could be a recommendation from a 'how to move to ssm' document.

>> a) They are natural SSM candidates (like IPTV).
>> b) They are more dynamic - require app-layer rendesvous server.
>> c) They are doing ASM service discovery (like network wide mDNS)
>>  (yuck yuck yuck yuck).
> 
> Is there a document somewhere that has examples of things people use ASM for? I know of a few examples, but I'm sure there are others I do not know about.
> 
>> The only apps i have seen that IMHO are natural ASM are really only intra-DC eg: distributed apps with a lot of short-term multi-party group-transactions. And those are best with Bidir-PIM.
>> 
>> Aka: Why stop with "interdomain ASM". I'd go all the way and
>> discuss whats required to deprecate PIM-SM. (oh wait, we need
>> a PIM-SSM RFC ;-).
> 
> I am all for a document (I think it should be separate from the currently discussed document) that lists types of applications that use multicast, and how these could be made to use anything but ASM.
> 
> The result from that might also yield some strategies how we could implement a discovery mechanism suitable for these applications, that make them not require ASM anymore.

So what I plan to do is carve out the 'deprecate inter-domain ASM' text from the multicast models draft, with the same authors (at least for now).

But then what is the other document?  Is it 

a) the remainder of the multicast models draft, and tips for how to run SSM wherever you can, plus identifing missing pieces that need to be standardised

b) just a document describing how applications - local or broader scope - can be migrated towards SSM, leaving out much of what is left in the multicast models draft ?

c) something else?

Tim

> 
> -- 
> Mikael Abrahamsson    email: [email-masked]
> 
> _______________________________________________
> MBONED mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mboned
>